//---------------------------------------------------------------------------

#ifndef fDocEntryFindH
#define fDocEntryFindH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "AdvDateTimePicker.hpp"
#include "AdvEdit.hpp"
#include "AdvGlowButton.hpp"
#include "AdvGrid.hpp"
#include "AdvPanel.hpp"
#include "AdvSmoothPanel.hpp"
#include "AdvToolBar.hpp"
#include "BaseGrid.hpp"
#include "DBAdvGrid.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Grids.hpp>
#include "AdvDBDateTimePicker.hpp"
#include "DBAccess.hpp"
#include "MemDS.hpp"
#include "Uni.hpp"
#include <DB.hpp>
#include "AdvEdBtn.hpp"
#include "PlannerDatePicker.hpp"
#include "AdvPageControl.hpp"
#include "AdvOfficeButtons.hpp"
#include "AdvObj.hpp"
#include "vcl.wwdblook.hpp"
#include <Vcl.Dialogs.hpp>
#include "AdvUtil.hpp"
#include "vcl.Wwdbcomb.hpp"
#include "vcl.Wwdbedit.hpp"
#include "vcl.Wwdotdot.hpp"
#include <Vcl.Mask.hpp>
#include "vcl.wwdbdatetimepicker.hpp"
//---------------------------------------------------------------------------
class TfrmDocEntryFind : public TForm
{
__published:	// IDE-managed Components
  TAdvPanel *pnlMain;
  TUniQuery *uqDocFind;
  TDataSource *dsDocFind;
  TIntegerField *uqDocFindDOC_ID;
  TDateField *uqDocFindDOC_DATE;
  TFloatField *uqDocFindAMOUNT;
  TStringField *uqDocFindDAccountFrom;
  TStringField *uqDocFindDOC_DESC;
  TIntegerField *uqDocFindACCOUNT_FROM;
  TIntegerField *uqDocFindACCOUNT;
  TStringField *uqDocFindDAccount;
  TStringField *uqDocFindDDocType;
  TIntegerField *uqDocFindDOC_TYPE;
  TStringField *uqDocFindREF_NUM;
  TFloatField *uqDocFindDUE_AMOUNT;
  TDateField *uqDocFindDUE_DATE;
  TAdvPanel *AdvPanel1;
  TAdvGlowButton *btnOk;
  TAdvGlowButton *btnCancel;
  TAdvEdit *txtRecCount;
  TAdvGlowButton *AdvGlowButton1;
  TLabel *Label1;
  TwwDBDateTimePicker *dtpDocDate;
  TLabel *Label2;
  TwwDBDateTimePicker *dtpDocDate2;
  TwwDBComboBox *dbcbMonth;
  TwwDBComboBox *dbcbYear;
  TUniQuery *uqMisc;
  TDBAdvGrid *dbgrdDocData;
  void __fastcall dbcbMonthCloseUp(TwwDBComboBox *Sender, bool Select);
  void __fastcall dbcbYearCloseUp(TwwDBComboBox *Sender, bool Select);
private:	// User declarations
public:		// User declarations
  String sqlStr;

  __fastcall TfrmDocEntryFind(TComponent* Owner);
  void SetDocumentDates();
  void FindDocuments();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmDocEntryFind *frmDocEntryFind;
//---------------------------------------------------------------------------
#endif
